CATALOG(1)

NAME
catalog - view and/or delete items from the Trick module catalog

SYNOPSIS
catalog [-c module_class_search_name] |
   [-d<m|s|e|p> <id_number> [-noconfirm]] |
   [-e [enumerated_type_search_name]] |
   [-initialize] |
   [-m[S] [module_search_name]] |
   [-o module_id_number]
   [-rebuild] |
   [-repair] |
   [-s [structure_search_name]] |
   [-h] |
   [-i] |
   [-versions] |
   [-v] |
   [-b] |
   [-a] |
   [-p [<search_string>]]

DESCRIPTION
catalog is a view port into the module catalog (which is stored in binary format). Executed without arguments, catalog lists all enumerated types, data structure typedefs, and modules in the catalog.

  Options

-c  List all modules in the catalog whose classification contains module_class_search_name string (case sensitive).

-d  If version_dir is supplied, catalog deletes all enumerated types, structures and modules associated with the specified version directory. The version_dir is specified relative to ${TRICK_HOME}/module_source. If m, or s, or e are supplied with an id_number, the specified module, data structure, or enumerated type is deleted from the catalog.

-e  List all enumerated types in the catalog, or if enumerated_type_search_name is supplied, list all enumerated types which contain enumerated_type_search_name search string (case sensitive).

-initialize
    Create a master catalog file in the current directory, including various required paths to sim_services, etc.

-i  Same as catalog -initialize

-m  List all modules in the catalog, or if module_search_name is supplied, list all modules which contain module_search_name search string (case sensitive).

-o  Lists complete (nested) list of object dependencies for the specified module_id_number.

-rebuild
    Look through all include paths found in the user's ${TRICK_CFLAGS} environment variable for catalog files. Any which are found are added to the master catalog in the current directory.

-b  Same as catalog -rebuild

-repair
    Look through all entries in the current catalog file, and delete those paths which do not contain catalog directories.

-s  List all data structure typedefs in the catalog, or if structure_search_name is supplied, list all data structure typedefs which contain structure_search_name search string (case sensitive).

-h  Echo catalog help screen.

-versions
    Lists the current version and owner of all catalog database files within the current list of catalog directories.

-v  Same as catalog -versions.

-a  Echo ALL catalog source directories, modules, enumerated types, structure types to the screen.

-p  Echo all source directories to the screen. If the <search_string> argument is included, only those directory names which contain <search_string> are echoed.

FILES

catalog/depends
    Contains dependency information.

catalog/enumerated
    Contains information about the enumerated data types.

catalog/modules
    Contains information about the modules.

catalog/structures
    Contains information about the data structures.

SEE ALSO
All Trick model developers and users should go through the tutorial found in the Trick Simulation Environment User Training Materials. The canonical reference for all Trick commands, files and utilities is the Trick Simulation Environment User's Guide. Information specific to a given release of Trick tools is contained in the Trick Simulation Environment Version Description for that release.

CP(1), ICG(1), MIS(1)

BUGS
Known bugs will be placed in the Version Description Document located in $TRICK_HOME/docs area. If you would like to report a bug, contact vetter@lincom-asg.com.

AUTHORS
The catalog command was written by Rob Bailey and is maintained by the Trick development staff. This man page was written by Rick Sykes, address all discrepancies to sykes@lincom-asg.com.